View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012915ParaView(No Category)public2012-02-06 14:312015-01-11 08:32
ReporterUtkarsh Ayachit 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versiongit-master 
Target VersionFixed in Version3.14 
Summary0012915: Array selections not working correctly.
Description* Open AMR dataset
* Apply AMR Dual Clip
* Now play with the material array statuses, toggling and applying. It seems that arrays are never cleared.

This is causing issues for Statistics filters as well.
TagsNo tags attached.
ProjectSandia
Topic Name12915_fix_array_selection
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0028060)
Utkarsh Ayachit (administrator)
2012-02-06 14:34

commit ba3287a660e7ee57b949f02f529b5e90951f1919
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Mon Feb 6 14:33:47 2012 -0500

    BUG 0012915. pqSMAdaptor was not setting selection properties correctly.
    
    The method never ended up clearing array statuses cleanly. This removes the API
    to set status individually, one has to set the status of all arrays (which is
      indeed the case with all widget in ParaView).
(0028104)
Utkarsh Ayachit (administrator)
2012-02-08 10:42

merged into master, if applicable.
(0028460)
Alan Scott (manager)
2012-04-12 19:59

Nice.

Tested local server, Linux, 3.14.1

- Issue History
Date Modified Username Field Change
2012-02-06 14:31 Utkarsh Ayachit New Issue
2012-02-06 14:31 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2012-02-06 14:34 Utkarsh Ayachit Topic Name => 12915_fix_array_selection
2012-02-06 14:34 Utkarsh Ayachit Note Added: 0028060
2012-02-06 14:34 Utkarsh Ayachit Status backlog => gatekeeper review
2012-02-06 14:34 Utkarsh Ayachit Fixed in Version => git-master
2012-02-06 14:34 Utkarsh Ayachit Resolution open => fixed
2012-02-08 10:42 Utkarsh Ayachit Status gatekeeper review => customer review
2012-02-08 10:42 Utkarsh Ayachit Note Added: 0028104
2012-02-08 17:21 Utkarsh Ayachit Fixed in Version git-master => 3.14
2012-04-12 19:59 Alan Scott Note Added: 0028460
2012-04-12 19:59 Alan Scott Status customer review => closed
2015-01-11 08:32 Utkarsh Ayachit Source_changeset_attached => ParaView master 5708ea2e
2015-01-11 08:32 Utkarsh Ayachit Source_changeset_attached => ParaView master ba3287a6


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker